## org.opengis.geometry.aggregate
Interface Aggregate

All Superinterfaces:
  Geometry, TransfiniteSet

All Known Subinterfaces:
  MultiCurve, MultiPoint, MultiPrimitive, MultiSurface

    @UML(identifier="GM_Aggregate",
         specification=ISO_19107)
    public interface Aggregate

extends Geometry

Geometry that is an aggregate of other geometries.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary
`Set<? extends Geometry>` `getElements()` Returns the set containing the elements that compose this aggregate.

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### getElements

    @UML(identifier="element",
         obligation=MANDATORY,
         specification=ISO_19107)
    Set<? extends Geometry> getElements()

  Returns the set containing the elements that compose this aggregate. The set may be modified if this geometry is mutable.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.